QGIS Application - Bug report #10761
Preview modes not working
2014-06-30 10:46 AM - Rhenriques Henriques

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Mac OSX and Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19144
Description

The new colour preview modes (daltonism simulation) do not work under MacOSX - QGIS 2.4 and Night Build.

Associated revisions

Revision acc0f9b5 - 2014-07-27 07:41 AM - Nyall Dawson

Disable preview modes under OSX due to issues with QGraphicsEffects under OSX (refs #10761)

Revision 5ecc9080 - 2014-07-27 07:44 AM - Nyall Dawson

Disable preview modes under OSX due to issues with QGraphicsEffects under OSX (refs #10761)

History

#1 - 2014-06-30 03:10 PM - Giovanni Manghi
- Category set to Map Composer/Printing

#2 - 2016-05-12 03:50 AM - Paolo Cavallini
- Affected QGIS version changed from 2.4.0 to 2.14.2

- Category changed from Map Composer/Printing to Map Canvas
- Operating System changed from Mac OSX to Mac OSX and Win7

True also for win7 systems with a touchscreen, on QGIS 2.14.2

#3 - 2016-09-12 11:24 AM - Anita Graser
- Affected QGIS version changed from 2.14.2 to master
- Operating System changed from Mac OSX and Win7 to Mac OSX and Windows

Confirmed on Win10 QGIS 2.14.6 and master (OSGeo4W).

When changing to one of the preview modes, the map is not updating anymore (not automatically and not on interactions such as pan an zoom).

#4 - 2016-09-12 11:26 AM - Anita Graser
- Subject changed from Preview modes not working in MacOSX to Preview modes not working
#5 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#6 - 2017-08-06 09:17 PM - Tim Sutton

Fixed for MacOS under Qt 5.9 - see : https://github.com/qgis/QGIS/pull/4971

#7 - 2017-08-06 09:45 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/4971

